set OSGEO4W_ROOT=C:\OSGeo4W64
set P=python-qscintilla
set V=2.7.2
set B=1

set R=..\..\..\release\python\%P%
if not exist %R% mkdir %R%

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" x64
path %pf%\Microsoft Visual Studio 10.0\Common7\IDE;%PATH%

set OLDPATH=%PATH%
call "%OSGEO4W_ROOT%\bin\o4w_env.bat"
path %OLDPATH%;%OSGEO4W_ROOT%\bin;c:\cygwin\bin
echo on

set INCLUDE=%INCLUDE%;%OSGEO4W_ROOT%\include
set LIB=%LIB%;%OSGEO4W_ROOT%\lib
set DESTDIR=%CD%\install
if not exist %DESTDIR% mkdir %DESTDIR%

copy python.hint %R%\setup.hint

cd ..\Python
python configure.py
if errorlevel 1 (echo qmake error & goto error)

nmake
if errorlevel 1 (echo build error & goto error)

nmake install
if errorlevel 1 (echo install error & goto error)

cd ..\osgeo4w
copy ..\OPENSOURCE-NOTICE.TXT+..\LICENSE.GPL2+..\LICENSE.GPL3 %R%\%P%-%V%-%B%.txt
tar --remove-files -C %OSGEO4W_ROOT% -cjvf %R%\%P%-%V%-%B%.tar.bz2 ^
	apps/Python27/sip/PyQt4/Qsci ^
        apps/Python27/Lib/site-packages/PyQt4/Qsci.pyd ^
	apps/qt4/api/python/QScintilla2.api

:error
